package com.khmer9.kdmain.screen.report

import com.khmer9.kdmain.remote.StatementBetting
import com.khmer9.kdmain.remote.StatementDeposit
import com.khmer9.kdmain.remote.StatementResult
import com.khmer9.kdmain.remote.StatementWithdraw

data class ReportViewState(
    val initial: Boolean = true,
    val isProgress: Boolean = false,
    val error: String? = null,
    var statementList: List<StatementBetting>? = null,
    var statementListTurnOver: String? = null,
    var statementListAmountWinLose: String? = null,

    var statementWithdrawList: List<StatementWithdraw>? = null,
    var statementWithdrawTotalAmount: String? = null,

    var statementDepositList: List<StatementDeposit>? = null,
    var statementDepositTotalAmount: String? = null,

    var statementResultList: List<StatementResult>? = null
)